Aller au contenu

Maj API pour php8

Bonjour, j'ai voulu mettre a jour ma filmothèque qui est hébérgée sur one.com mais j'ai une erreur 500 et normalement c'est du à l’incompatibilité avec php8 (dans l'hébergeur on peut choisir la version 7.x qui fonctionne, 8.0 non), donc ma question c'est comment modifier l'api (qui n'a plus vraiment été modifié depuis longtemps) pour que ça soit compatible avec php8.

surtout que je ne peut plus revenir en arrière pour les versions proposé par one.com qui à enlevé l'ancienne version fonctionnelle de php

Réponses

  • FilmotechFilmotech Administrator
    Bonjour, 
    L'API a été remise un peu à jour dans la version 3.10 (avec la publication en https), mais je viens de m'apercevoir qu'effectivement mon hébergement est en 7.4 qui n'est plus supporté en décembre 2022... 
    Bon, je vais regarder ça, tu as un message particulier en dehors de l'erreur 500 ?
  • totoche007totoche007 Member
    Modifié (décembre 2022)
    non, juste que ça devient un peu lent avec plus de 14000 film o:)

    Je peux aussi rajouter de peut être sécurisé la partie web pour évité l'injection sql (ou d'autres attaques, si il n'y a qu'une bdd contenant que des films, bon on s'en fout un peu mais s'il y a plus...)
    ici je n'ai rajouter que un htmlentitie sur la recherche et je n'ai pas trop touché à autre chose, c'est déjà assez bordélique comme ça comme rajouter une colonne, il faut modifier 6 lignes éparpillé dans le code.
  • FilmotechFilmotech Administrator
    Modifié (décembre 2022)
    En fait je ne suis pas du tout spécialiste en PHP et j'ai écrit ce code il y a longtemps et effectivement il n'a pas bougé. Il me semblait que j'avais fait en sorte d'éviter le SQL injection, mais peut-être pas dans les règles de l'art. Si tu veux contribuer pour améliorer cette partie, tu es le bienvenu :) 
  • ici, il n'y aurait pas grands chose à faire comme il n'y a qu'une fonction de recherche et puis je n'ai pas testé toutes les commandes sql, xss possible (dans la barre de recherche ou dans la barre d'adresse ou d'une faille dans les scripts externes).
    dans tous les cas la fonction de publication sur le web était surement optionnel au début et n'a surement jamais été prévu pour être super moderne
    mais c'est vrai, si quelqu'un de courageux pour mettre à jour ou aérer tout ça serait le bienvenu. ça fait aussi longtemps que je n'ai plus touché à du code.
Connectez-vous ou Inscrivez-vous pour répondre.